Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security.credentials
Interface PKICredentialMapEditorMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, ListerMBean, PKICredentialMapReaderMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

    public interface PKICredentialMapEditorMBean

extends PKICredentialMapReaderMBean

Provides a set of methods for creating, editing, and removing a credential map that matches users, resources and credential action to keystore aliases and the corresponding passwords.

Method Summary
`void` | `removePKICredentialMapping(String resourceId, String principalName, boolean isInitiatorUserName, String credAction, String credType)` Removes the mapping between the principalName, resourceid and credential action to the keystore alias.
`void` | `setCertificateCredential(String resourceId, String principalName, boolean isInitiatorUserName, String credAction, String keystoreAlias)` Creates a public certificate mapping between the principalName, resourceid and credential action to the keystore alias.
`void` | `setKeypairCredential(String resourceId, String principalName, boolean isInitiatorUserName, String credAction, String keystoreAlias, char[] password)` Creates a keypair mapping between the principalName, resourceid and credential action to the keystore alias and the corresponding password.

Methods inherited from interface weblogic.management.security.credentials.PKICredentialMapReaderMBean
`getCertificate, getCurrentCredAction, getCurrentCredential, getCurrentInitiatorName, getCurrentResourceId, getKeystoreAlias, isInitiatorUserName, listAllCertEntryAliases, listAllKeypairEntryAliases, listMappings, listMappingsByPattern`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### setKeypairCredential

    void setKeypairCredential(String resourceId,
                              String principalName,
                              boolean isInitiatorUserName,
                              String credAction,
                              String keystoreAlias,
                              char[] password)
                              throws CreateException

  Creates a keypair mapping between the principalName, resourceid and credential action to the keystore alias and the corresponding password.

  Parameters:
    `resourceId` - - The resource for which the user name is mapped to the keystore alias and password.
    `principalName` - - The principalName used in the credential mapping.
    `isInitiatorUserName` - - True if the initiator name is a user name. False if it is a group.
    `credAction` - - The credential action.
    `keystoreAlias` - - The keystore alias.
    `password` - - The password for the keystore entry.
  Throws:
    `CreateException` - - Exception thrown if the keystore alias does not point to a keypair entry or if the password supplied here is not correct.

### setCertificateCredential

    void setCertificateCredential(String resourceId,
                                  String principalName,
                                  boolean isInitiatorUserName,
                                  String credAction,
                                  String keystoreAlias)
                                  throws CreateException

  Creates a public certificate mapping between the principalName, resourceid and credential action to the keystore alias.

  Parameters:
    `resourceId` - - The resource for which the user name is mapped to the keystore alias.
    `principalName` - - The principalName used in the credential mapping.
    `isInitiatorUserName` - - True if the initiator name is a user name. False if it is a group.
    `credAction` - - The credential action.
    `keystoreAlias` - - The keystore alias.
  Throws:
    `CreateException` - - Exception thrown if the keystore alias does not point to a certificate entry.

### removePKICredentialMapping

    void removePKICredentialMapping(String resourceId,
                                    String principalName,
                                    boolean isInitiatorUserName,
                                    String credAction,
                                    String credType)
                                    throws NotFoundException

  Removes the mapping between the principalName, resourceid and credential action to the keystore alias.

  Parameters:
    `resourceId` - - The resource for which the user name is mapped to the keystore alias and password.
    `principalName` - - The principalName used in the credential mapping.
    `isInitiatorUserName` - - True if the initiator name is a user name. False if it is a group.
    `credAction` - - The credential action.
    `credType` - - The credential type.
  Throws:
    `NotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD